%define anolis_release 1

Name:		soundtouch	
Version:	2.3.2
Release:	%{anolis_release}%{?dist}
Summary:	Audio Processing library for changing Tempo, Pitch and Playback Rates

License:	LGPLv2+
URL:		http://www.surina.net/soundtouch/
Source0:	https://www.surina.net/soundtouch/%{name}-%{version}.tar.gz
Patch0:         0001-soundtouch-2.3.2-aarch64-flags.patch

BuildRequires:	gcc-c++
BuildRequires:  cmake >= 3.1

%description
SoundTouch is a LGPL-licensed open-source audio processing library for
changing the Tempo, Pitch and Playback Rates of audio streams or
files. The SoundTouch library is suited for application developers
writing sound processing tools that require tempo/pitch control
functionality, or just for playing around with the sound effects.
 
The SoundTouch library source kit includes an example utility
SoundStretch which allows processing .wav audio files from a
command-line interface.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package 	devel
Summary:  	Libraries, includes, etc to develop soundtouch applications
Requires: 	%{name} = %{version}-%{release}
 
%description devel
Libraries, include files, etc you can use to develop soundtouch applications.

%prep
%autosetup -n %{name} -p1

%build
%cmake
%cmake_build

%install
%cmake_install

ln -s soundtouch.pc %{buildroot}%{_libdir}/pkgconfig/libSoundTouch.pc
ln -s soundtouch.pc %{buildroot}%{_libdir}/pkgconfig/soundtouch-1.0.pc

%generate_compatibility_deps

%files
%dir %{abidir}
%license COPYING.TXT
%{_bindir}/soundstretch
%{_libdir}/lib*.so.*
%{abidir}/lib*.dump

%files doc
%doc README.html

%files devel
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/%{name}
%{_libdir}/cmake/SoundTouch

%changelog
* Sun Apr 23 2023 Funda Wang <fundawang@yeah.net> - 2.3.2-1
- New version 2.3.2
- Disable neon flags on aarch64

* Sat Mar 04 2023 Shawn Wang <shawnwang@linux.alibaba.com> - 2.3.1-3
- add abi infos

* Thu Sep 29 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 2.3.1-2
- add doc package

* Mon Apr 18 2022 happy_orange <songnannan@linux.alibaba.com> - 2.3.1-1
- Init package from upstream
